Bug 1119706 - Jobs object that contain job with "Removing Snapshot..." doesn't finish
Summary: Jobs object that contain job with "Removing Snapshot..." doesn't finish
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Daniel Erez
QA Contact: Raz Tamir
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 10:24 UTC by Raz Tamir
Modified: 2016-02-10 19:44 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:22:46 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30615 master MERGED core: missing cmdContext assignment in constructor Never
oVirt gerrit 30634 ovirt-engine-3.5 MERGED core: missing cmdContext assignment in constructor Never

Description Raz Tamir 2014-07-15 10:24:36 UTC
Description of problem:
In REST api, the jobs object (located in /api/jobs) that contain job with removing snapshot description will not end the job and mark it as finished.
This is an automation blocker

<job href="/ovirt-engine/api/jobs/b821cc2c-b1bc-4f12-b4fc-a603fb285c80" id="b821cc2c-b1bc-4f12-b4fc-a603fb285c80"><actions><link href="/ovirt-engine/api/jobs/b821cc2c-b1bc-4f12-b4fc-a603fb285c80/clear" rel="clear"/><link href="/ovirt-engine/api/jobs/b821cc2c-b1bc-4f12-b4fc-a603fb285c80/end" rel="end"/></actions><description>Removing Snapshot live of VM vm_test</description><link href="/ovirt-engine/api/jobs/b821cc2c-b1bc-4f12-b4fc-a603fb285c80/steps" rel="steps"/><status><state>STARTED</state></status><owner href="/ovirt-engine/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc" id="fdfc627c-d875-11e0-90f0-83df133b58cc"/><start_time>2014-07-15T11:47:38.740+03:00</start_time><last_updated>2014-07-15T11:47:38.771+03:00</last_updated><external>false</external><auto_cleared>true</auto_cleared></job>


Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create snapshot
2. Remove the snapshot
3.

Actual results:
The job will remain in state started (<state>STARTED</state>) even though the snapshot already deleted

Expected results:
The relevant job state should change to FINISHED

Additional info:

Comment 1 Allon Mureinik 2014-07-23 10:35:39 UTC
For tacking purposes: this is another command context issue
(setting whiteboard to infra, regardless of the assignee's identity)

Also, moving back to POST, as this patch should be backported to the ovirt-engine-3.5 branch.

Comment 2 Raz Tamir 2014-08-11 07:25:27 UTC
Verified - ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch

Comment 3 Sandro Bonazzola 2014-10-17 12:22:46 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.